Subject: Re: [PATCH v3 net-next 00/15] net: fec: improve XDP copy mode and add AF_XDP zero-copy support

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Jan 2026 12:52:23 -0800

On Wed, 21 Jan 2026 11:33:42 +0800 Wei Fang wrote:
> This patch set optimizes the XDP copy mode logic as follows.
> 
> 1. Separate the processing of RX XDP frames from fec_enet_rx_queue(),
> and adds a separate function fec_enet_rx_queue_xdp() for handling XDP
> frames.
> 
> 2. For TX XDP packets, using the batch sending method to avoid frequent
> MMIO writes.
> 
> 3. Use the switch statement to check the tx_buf type instead of the
> if...else... statement, making the cleanup logic of TX BD ring cleared
> and more efficient.
> 
> We compared the performance of XDP copy mode before and after applying
> this patch set, and the results show that the performance has improved.

Somewhere in this series:
drivers/net/ethernet/freescale/fec_main.c:1043:4-5: Unneeded semicolon
-- 
pw-bot: cr